/* Hi!
			More site like this one?
			hugurp.org */

:root {
		--color-active: green;
		--color-img-bg: lightgray;
}

html {
		box-sizing: border-box;
}
*, *:before, *:after {
		box-sizing: inherit;
}

/* has javascript */
body[has-javascript="true"] img {
		opacity: 0;
		transition: opacity 600ms ease-in-out;
}
body[has-javascript="true"] img[loaded="true"] {
		opacity: 1;
}

/* Native element */
body {
		padding: 0;
		margin: 0;
		font-size: 16px;
		line-height: 1.6;
		font-family: 'IBM Plex Mono', serif;
		background-color: white;
}

h1,
h2,
h3 {
		margin-top: 0;
		margin-bottom: 1rem;
}

h1 { font-size: 2rem; }
h2 { font-size: 1.7rem; }
h3 { font-size: 1.4rem; }

a,
a:visited,
a:hover {
		color: black;
}

a:active,
a:focus,
a:hover {
		outline: 0.1rem solid var(--color-active);
		outline-offset: 0.2rem;
}


p {
		margin-top: 0;
}

figure {
		margin: 0;
}
img {
		display: block;
		width: auto;
		background-color: #0000ff0a;
}
img:not([loaded]) {
		transition: background-color 300ms ease-in;
		background-color: var(--color-active);
}
img:not([loaded]):nth-child(1n+1) {
		background-color: blue;
}
img:not([loaded]):nth-child(2n) {
		background-color: red;
}
img:not([loaded]):nth-child(3n-1) {
		background-color: yellow;
}

code {
		background-color: #e1e1e1;
}

blockquote {
		border-left: 2px solid #e1e1e1;
		padding-left: 1rem;
}

/* Layout */
body.Layout {
		padding-bottom: 1rem;
		min-height: 100vh;
		display: flex;
		flex-direction: column;
		align-items: center;
}
@media screen and (min-width: 40rem) {
		body.Layout {
				padding-top: 1rem;
		}
}

.Layout-header {
		position: sticky;
		z-index: 2;
		top: 0;
		display: flex;
		flex-wrap: wrap;
		align-items: center;
		justify-content: center;
		padding: 0.2rem;
}
.Layout-body {
		flex-grow: 1;
		padding-top: 3rem;
		padding-bottom: 3rem;
		width: 100%;
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
}
.Layout-home {
		flex-grow: 1;
}
.Layout-home iframe {
		height: 100vh;
		width: 100vw;
		pointer-events: none;
		background-color: black;
		position: relative;
}
.Layout-home radio4000-player {
		height: 100%;
}
.Layout-home radio4000-player .Layout {
		border-width: 0;
}

.Layout-footer {
		text-align: right;
		font-style: italic;
}

.Layout-toCollections {
		width: 100%;
}

/* Title */
.SiteTitle {
		font-size: 1em;
		margin: 0.5rem;
		background-color: white;
		text-align: right;
}
.SiteTitle:hover {
		background-color: var(--color-active);
}
.SiteTitle:hover a {
		outline-color: transparent;
		color: white;
}
@media screen and (min-width: 40rem) {
		.SiteTitle {
				margin: 1rem;
		}
}
.SiteTitle a {
		padding: 0.5rem;
		text-decoration: none;
		font-weight: normal;
}

/* Nav */
.Nav {
		display-flex;
}
.Nav-item {
		padding: 0.5rem;
		text-decoration: none;
}
.Nav-item.is-active {
		font-weight: bold;
}
.Nav--main {
		flex-wrap: wrap;
		display: flex;
		justify-content: center;
}
.Nav--main .Nav-item {
		background-color: white;
		font-size: 0.9em;
		border-bottom: 0.1em solid white;
}
.Nav--main .Nav-item.is-active {
		border-bottom-color: black;
		text-decoration: none;
}
.Nav--main .Nav-item.is-active:hover {
		border-bottom-color: white;
}
@media screen and (min-width: 40rem) {
		.Nav--main .Nav-item {
				font-size: 1.1em;
		}
}
.Nav--main .Nav-item ~ .Nav-item {
		margin-left: 1rem;
}

/* Grid */

.Grid {
		display: flex;
		flex-wrap: wrap;
		align-items: flex-end;
		justify-content: center;
}
.Grid--left {
		justify-content: flex-start;
}
.Grid--articles {
		align-items: flex-end;
}
.Grid--articles .Card {
		min-height: 40vh;
		justify-content: flex-end;
		display: flex;
		flex-direction: column;
}
@media screen and (min-width: 40rem) {
		.Grid--articles .Grid-item {
				padding: 1vw;
				flex-basis: 25%;
		}
}

.Grid--articles .Grid-item {
		padding-bottom: 0;
}

.Grid-item {
		flex-basis: 100%;
		padding-bottom: 2rem;
}
@media screen and (min-width: 25rem) {
		.Grid-item {
				flex-basis: 50%;
		}
}
@media screen and (min-width: 30rem) {
		.Grid-item {
				flex-basis: 13rem;
		}
}

/* VGrid */
/* vertical grid */

.VGrid .VGrid-item {
		margin-bottom: 3rem;
}

/* Card */

.Card {
		padding: 1rem;
		position: relative;
}
.Card--soldOut .Card-title {
		text-decoration: line-through;
}
.Card--soldOut:hover .Card-title {
		text-decoration: none;
}
.Card--collection .Gallery .flickity-fullscreen-button {
		display: none;
}

.Card .Card-title a {
		text-decoration: none;
}

.Card-link {
		display: flex;
		flex-direction: column;
		text-decoration: none;
}
.Card-link:hover {
		outline-offset: 1rem;
}
.Card-media {
		margin-bottom: 0.8rem;
}
.Card img {
		width: 100%;
}
.Card--collection .Card-title {
		text-align: center;
		margin-bottom: 0;
		font-weight: bold;
}
.Card-title {
		text-align: center;
		font-weight: normal;
		font-size: 0.6rem;
}
@media screen and (min-width: 40rem) {
		.Card-title {
				font-size: 0.8rem;
		}
}
.Card-tags {
		justify-content: flex-end;
		position: absolute;
		bottom: 0.8rem;
		right: 0.8rem;
}

/* Content */
.Content {
		font-size: 0.9rem;
}
@media screen and (min-width: 80rem) {
		.Content {
				font-size: 1rem;
		}
}
.Content p {
		/* max-width: 50rem; */
		margin-left: auto;
		margin-right: auto;
}

.Content h1:first-child {
		text-align: center;
		padding-bottom: 2rem;
}
.Content img,
.Content iframe {
		max-width: 100%;
		max-height: 80vh;
		display: block;
		margin-left: auto;
		margin-right: auto;
		margin-top: 3rem;
		margin-bottom: 3rem;
}
.Content iframe {
		width: 100%;
}
.Content iframe[src^="https://www.youtube.com"] {
		min-height: 50vh;
}
.Content-title--displayNone {
		display: none;
}

/* a screen is +- a viewport-height visual block */
.Screen {
		min-height: 90vh;
		display: flex;
		align-items: center;
}

.Screen--fixed {
		position: fixed;
		z-index: 1;
		top: 0;
		right: 0;
		bottom: 0;
		left: 0;
}
.Screen--fixed .Gallery figure {
		padding: 0;					
}
.Screen--fixed .Gallery img {
		max-height: 100vh;
}

/* single article */
.Single {
		display: flex;
		flex-direction: column;
		width: 100%;
}

/* buttons */
.Button {
		background-color: transparent;
		border: 0.2rem solid lightgray;
		padding: 0.5rem;
		font-size: 1em;
}
.Button:hover,
.Button:active {
		border-color: gray;
		cursor: pointer;
}
.Button--order:hover,
.Button--order:active {
		border-color: var(--color-active);
}

/* paypal button */
.PaypalButton {
		display: flex;
		justify-content: flex-start;
		align-items: center;
}
.PaypalButton-button {
		margin-right: 1rem;
}
.PaypalButton-about {
		margin-bottom: 0;
		font-size: 0.8rem;
}

/* tags */
.Tags {
		display: flex;
		align-items: center;
		margin-bottom: 0.2rem;
}
.Tag {
		padding: 0.2rem;
		min-height: 0.7rem;
}
.Tag--available {
		display: flex;
		min-width: 0.7rem;
		max-height: 0.7rem;
		background-color: var(--color-active);
		border-left: 0.1rem solid black;
		border-top: 0.1rem solid black;
}

.Section {
		padding-bottom: 2rem;
}

.Container {
		padding-left: 2rem;
		padding-right: 2rem;
		max-width: 70rem;
		width: 100%;
		/* legacy for when flex child are broken, .Single if align-items:
			center; single/gallery */
		margin-left: auto;
		margin-right: auto;
}
@media screen and (min-width: 60rem) {
		.Container--large {
				max-width: 120rem;
				padding-left: 5vw;
				padding-right: 5vw;
		}
}

.Title {
		font-size: 1.3em;
}

.Title a {
		text-decoration: none;
}


/* custom elements */
image-slideshow {
		display: flex;
		overflow-x: scroll;
		scrollbar-width: none;
		-ms-overflow-style: none;
		padding: 1rem;
		margin-bottom: 2rem;
}
image-slideshow[screen] {
		min-height: 80vh;
		align-items: center;
}
image-slideshow::-webkit-scrollbar {
		height: 0;
		width: 0;
}
image-slideshow figure {
		padding-left: 1rem;
		padding-right: 1rem;
}
image-slideshow img {
		max-height: 75vh;
		max-width: 90vw;
}
